Show / Hide Table of Contents

# Struct Camera

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Render

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Camera

### Fields

| Improve this Doc View Source

#### AspectRatio

##### Declaration

    public float AspectRatio

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FarPlane

##### Declaration

    public float FarPlane

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FoV

##### Declaration

    public float FoV

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NearPlane

##### Declaration

    public float NearPlane

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ProjectionMatrix

##### Declaration

    public Matrix4x4 ProjectionMatrix

##### Field Value

Type | Description
--- | ---
Matrix4x4 |

| Improve this Doc View Source

#### ReferencedClassBase

##### Declaration

    public ReferencedClassBase ReferencedClassBase

##### Field Value

Type | Description
--- | ---
ReferencedClassBase |